<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
        rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
        crossorigin="anonymous">    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .row div{
            background-color: lightgray;
            border: 2px solid black;
            border-collapse: collapse;
        }
        body>div{
            background-color: goldenrod;
        }
    </style>
</head>
    <body>
        <div class="container">
            <!--	En	pantallas	pequeñas	aparecerá	una	columna	que	ocupará	todo	el	ancho
            y	otra	que	ocupará	la	mitad	de	la	pantalla	-->
            <div class="row">
                <div class="col-12	col-md-8">.col-12	.col-md-8</div>
                <div class="col-6	col-md-4">.col-6	.col-md-4</div>
            </div>
            <!--	En	pantallas	medianas	se	indica	que	cada	columna	ocupe	la	mitad
            del	ancho	disponible	-->
            <div class="row">
                <div class="col-6	col-md-4">.col-6	.col-md-4</div>
                <div class="col-6	col-md-4">.col-6	.col-md-4</div>
                <div class="col-6	col-md-4">.col-6	.col-md-4</div>
            </div>
            <!--	Como	no	se	indica	el	tamaño	para	pantallas	grandes	las	columnas
            siempre	ocuparán	el	50%	-->
            <div class="row">
                <div class="col-6 col-lg-8">.col-6</div>
                <div class="col-6 col-lg-4">.col-6</div>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
            crossorigin="anonymous">
        </script>
    </body>
</html>